Hacking cIOSX rev21d2x: Yet Another Hot Fix!!!!

Did d2x work for you?

  • Yes, I had an issue with the official cios and d2x fixed it

    Votes: 92 48.4%
  • Yes, but everything was already working for me with the official cios

    Votes: 80 42.1%
  • No, and I posted what goes wrong

    Votes: 9 4.7%
  • No, and I won't report what goes wrong because I am a troll

    Votes: 9 4.7%

  • Total voters
    190

Cyan

GBATemp's lurking knight
Former Staff
Joined
Oct 27, 2002
Messages
23,512
Trophies
2
Age
43
Location
Engine room, learning
XP
14,757
Country
France
be sure you use the correct version (check your path, delete other version to be sure you are not launching a different one), or reinstall it.
keep the folders and files structure from the zip, if you extract everything in the same folder it will not find v10.
 

Brianwuz

Member
Newcomer
Joined
Apr 30, 2009
Messages
12
Trophies
0
XP
121
Country
United States
has anyone successfully installed any d2x above v6? i have tried many combinations of d2x with different basses inclding 56 and 57 and not only they don't work, they also lock up syscheck.

thanks


brianwz
 

BITBURGER

Well-Known Member
Member
Joined
Dec 5, 2014
Messages
165
Trophies
0
Age
52
Location
Kerkrade
XP
142
Country
Netherlands
Just tested this one here, seems like it crashes too, but it must be a different bug, because it crashes on a different point.
That new VC emulator releases crashes after the screen with the spinning "N". Paper Mario is crashing on the "You will need the Classic Controller" screen.
One more for Rev17 :P

As for my loading method, i use stuff a bit different than most people do:

I have rev17 on slot 248 and d2xv7 final on slot 249.
I use wiiflow r304 and i get all my games together on a big categorized list using isos generated by the great tool WAD2ISO (from Tristar from this forum). These isos loads the games on emu nand using a triiforce dol which you can change the ios slot when you create the iso, so i just put these problematic games to load on slot 248 for rev17.
I don't like the newer wiiflows due to it's loading limitations. Cant choose IOS, can't switch IOS reloading and such things. They make it more and more automatic and remove the options, so problematic games like these are impossible to run on newer versions since they are stuck on d2x and it crashes those games, also many kinds of isos cant be loaded without such options, inclusind the ones from WAD2ISO and Universal Channel Creator. It also takes very long reading my emu nand (700+ games) whenever i change to it, while old wiiflow don't because it don't read any nand (they are all just ISOS), besides not allowing me to categorize wii games along with the nand ones in one single universal game list.

Here's the video of my wiiflow that i posted on Tristar's topic.


Ps: Yes, everything there loads flawlessly, with a work around for these problem games, though the initial load time for VC games are a bit long due to the redirect/reloading of dol, but it's a small price for all the advantages, IMO.
Another good point of using isos is that i can have the games that are impossible to inject on VC (like Mario World 2, Tiny Toon, Illusion of Gaia, Secret of Mana 2, Psycho Fox and such) in the same list, because it just redirects to an emulator mod that automatically loads the correct game (that's where the Universal Channel Creator comes, it creates the ISOs for homebrew, in this case, the emus with the roms).

Where do you get the version of Wiiflow and the good cios to
i'll hack wiiware game wii gamecube and i'll will install iso's on nand
but it say's every time loader.dol can't not find
maybe with youre version of wiiflow is the problem sold
can you help me please with they wiiflow version and the good cios d2x v7 or else that work with wiiflow
on the moment i'll cannot play vc wiiware games in wiiflow in usb loader gx it work but not all of them
 

fearofshorts

Well-Known Member
Member
Joined
Jul 12, 2009
Messages
479
Trophies
0
Age
29
Location
Melbourne
XP
161
Country
Hey guys, wanted a little help here.

I installed 2 cIOSs using d2x cIOS ("cIOS 249 base 56 v10 beta53-alt" and "cIOS 250 base 57 v10 beta52") following the instructions on the "Complete Softmod Guide" website, but cIOS 249 doesn't seem to work in wiiflow. If I set a game to run using 250 they work fine, but with 249 the wii just gives me a black screen for about 10 seconds, then resets. Anyone have any ideas?
 

Cyan

GBATemp's lurking knight
Former Staff
Joined
Oct 27, 2002
Messages
23,512
Trophies
2
Age
43
Location
Engine room, learning
XP
14,757
Country
France
replace your slot 249 with beta52.

Don't use beta53 if you don't need port1 support.

r53 is not "the latest and better version", it's only a different version than r52.
r52 = no port1 support, better compatibility
r53 = port1 support, less compatibility
they are v10 and v10 alternative version. it's v10-alt and not r53-alt (revision 53 is the alternative v10 version)

So, select this :
d2x v10 r52
slot 249
base 56
version 21010

You can also note that you don't need the cIOS with base56, as it also has less game compatibility than base57.
You can tell wiiflow to use slot250 for everything, and you won't have any issue.
if you install base56 in slot249, and use that slot by default, you will encounter games not working and will have to switch to slot250 anyway. (call of duty for example)
 

gbeaytempur

Member
Newcomer
Joined
May 5, 2016
Messages
7
Trophies
0
Age
29
XP
27
Country
United States
d2x cIOS + Installer download links for 2016

- This is the archive of the d2x cIOS Google Code Project Page
- This Github Project Page is the new home of the project and is hosted by davebaol himself


- This is the archive of the d2x cIOS installer Google Code Project Page
- This Github Project Page appears to host the installer, but it doesn't seem to be official. From what I can gather the dev of the installer never exported his/her project from Google Code to Github.


@Cyan could you help me verify this for a first-timer with a virgin original Wii?

I've already used Letterbomb to install The Homebrew Channel & BootMii as a boot2. Here's what I'm planning to do next:

1. Download d2x-v10-beta52.zip from the archived Google Code Project Page
2. Download d2x cIOS Installer v3.1.zip from the archived Google Code Project Page
3. Installation Steps:

Extract the two .zip files to an SD formatted to fat32
d2x version: v10 beta52
cIOS base: 56
cIOS slot: 249
cIOS revision: 21010

(Is this the only cIOS needed?)

4. Download USBLoaderGX r1260.7z from the Sourceforge Project Page
5. Launch Wii/Wiiware/VC/GC (via Nintendont on Github) from USBLoader GX
 
Last edited by gbeaytempur,

GreyWolf

Well-Known Member
Member
Joined
Mar 2, 2015
Messages
5,401
Trophies
0
Age
52
XP
1,486
Country
United States
d2x cIOS + Installer download links for 2016

- This is the archive of the d2x cIOS Google Code Project Page
- This Github Project Page is the new home of the project and is hosted by davebaol himself


- This is the archive of the d2x cIOS installer Google Code Project Page
- This Github Project Page appears to host the installer, but it doesn't seem to be official. From what I can gather the dev of the installer never exported his/her project from Google Code to Github.


@Cyan could you help me verify this for a first-timer with a virgin original Wii?

I've already used Letterbomb to install The Homebrew Channel & BootMii as a boot2. Here's what I'm planning to do next:

1. Download d2x-v10-beta52.zip from the archived Google Code Project Page
2. Download d2x cIOS Installer v3.1.zip from the archived Google Code Project Page
3. Installation Steps:

Extract the two .zip files to an SD formatted to fat32
d2x version: v10 beta52
cIOS base: 56
cIOS slot: 249
cIOS revision: 21010

(Is this the only cIOS needed?)

4. Download USBLoaderGX r1260.7z from the Sourceforge Project Page
5. Launch Wii/Wiiware/VC/GC (via Nintendont on Github) from USBLoader GX

It's standard to use IOS249[56] and IOS250[57]. There are a few games like the Just Dance series and Call of Duty: Black Ops that don't work with IOS56.

I checked the Google Code dol file with the one you linked on GitHub and they're identical so it's fine to use either.
 

gbeaytempur

Member
Newcomer
Joined
May 5, 2016
Messages
7
Trophies
0
Age
29
XP
27
Country
United States
It's standard to use IOS249[56] and IOS250[57]. There are a few games like the Just Dance series and Call of Duty: Black Ops that don't work with IOS56.

I checked the Google Code dol file with the one you linked on GitHub and they're identical so it's fine to use either.

Sweet! So it sounds like in the end it will look like this:

d2x version: v10 beta52
cIOS base: 56
cIOS slot: 249
cIOS revision: 65535

d2x version: v10 beta52
cIOS base: 57
cIOS slot: 250
cIOS revision: 65535

I'm getting that revision number from CompleteSoftModGuide

"You can set the version to maximum (65535) to prevent any future updates from overwriting it (the installer can still overwrite it)."

Thanks for the help!
 

Cyan

GBATemp's lurking knight
Former Staff
Joined
Oct 27, 2002
Messages
23,512
Trophies
2
Age
43
Location
Engine room, learning
XP
14,757
Country
France
65535 prevents overwritting from launching a game with the official method (Disc channel from the Wii system menu with a retail disc).
If you only play games from USBLoaders, I like it better when it contains the version of the IOS (21010 = cIOS rev21 mod d2x v10)

If you have priiloader installed, there's an option to prevent game disc from updating the console, if you enable that option then you don't need 65535 either.
But it's up to you. if you run the latest syscheck, it can detect the correct version even if you set 65535.
 

Razor83

Well-Known Member
Member
Joined
Dec 23, 2009
Messages
370
Trophies
0
XP
1,254
Country
65535 prevents overwritting from launching a game with the official method (Disc channel from the Wii system menu with a retail disc).
If you only play games from USBLoaders, I like it better when it contains the version of the IOS (21010 = cIOS rev21 mod d2x v10)

If you have priiloader installed, there's an option to prevent game disc from updating the console, if you enable that option then you don't need 65535 either.
But it's up to you. if you run the latest syscheck, it can detect the correct version even if you set 65535.
I thought that setting the cIOS version to 65535 also prevented it from being stubbed if you performed an online update?
 

Cyan

GBATemp's lurking knight
Former Staff
Joined
Oct 27, 2002
Messages
23,512
Trophies
2
Age
43
Location
Engine room, learning
XP
14,757
Country
France
most users are already on the latest system version, so there's no online update anymore. (I'm not sure only one IOS can be updated from online, at least it's not automatic so just don't press the update button)
but yeah, it the console can be updated, it will replace the cIOS with a stub.

I'm on 3.2E with cIOS version not maxed out, I don't have priiloader and I don't have any update issues.
 

oscat

Member
Newcomer
Joined
Jan 23, 2016
Messages
23
Trophies
0
Age
28
XP
80
Country
United States
If I already have IOS v60 installed, can I just run the installer to get to cIOS d2x v10? or will I run into issues? Figured I'd ask before I dive in.
 
Last edited by oscat,

GreyWolf

Well-Known Member
Member
Joined
Mar 2, 2015
Messages
5,401
Trophies
0
Age
52
XP
1,486
Country
United States
If I already have IOS v60 installed, can I just run the installer to get to cIOS d2x v10? or will I run into issues? Figured I'd ask before I dive in.

d2x doesn't have anything to do with IOS60. It should be installed in a slot >200. You will need the binary patch files and CIOSMap.xml for v10 in the installer's app folder to update to it.
 

Locoxx

Member
Newcomer
Joined
May 24, 2017
Messages
10
Trophies
0
Age
30
XP
34
Country
United States
I have been using this CIOS d2x v10 52 and 53 and for some reason whenever I start up a loader with my hdd plugged in, it freezes right away in the start logo... I have tried cfg, wii flow, gx loader and all the same. I formatted my 1st partitition to WBFS and 2nd to fat 32 and nothing...
 

OfficialFBomb

Well-Known Member
Member
Joined
Aug 24, 2015
Messages
598
Trophies
0
Age
30
XP
570
Country
United States
Recently i pulled my wii out of a box and started updating it, it has d2x v6 i think, but i found a v10 beta 52, problem is i dont know how to update it, which ios to use and all that, can someone help?

Nevermind v10 was for wii u lmfao, still i assume v6 is not the newest for wii which is?
 

JasonH

Well-Known Member
Newcomer
Joined
May 28, 2016
Messages
70
Trophies
0
XP
162
Country
United States
Recently i pulled my wii out of a box and started updating it, it has d2x v6 i think, but i found a v10 beta 52, problem is i dont know how to update it, which ios to use and all that, can someone help?

Nevermind v10 was for wii u lmfao, still i assume v6 is not the newest for wii which is?
I dont believe that is correct. There is a V10 for both Wii and vWii.
These are the two i have installed in my wii and they work fine.
cIOS250[57]-d2x-v10-beta53-alt
cIOS249[56]-d2x-v10-beta53-alt
The version for the WiiU looks like this.
d2x-v10-beta53-alt-vWii
 
General chit-chat
Help Users
    Psionic Roshambo @ Psionic Roshambo: Those things never get tired.....